commit:     ed5b615889642b4e031c5c98a5295ef1800377cb
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  7 20:59:18 2020 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon Sep  7 20:59:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ed5b6158

dev-python/python-debian: bump to 0.1.37

Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 dev-python/python-debian/Manifest                  |  1 +
 .../python-debian/python-debian-0.1.37.ebuild      | 37 ++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/python-debian/Manifest 
b/dev-python/python-debian/Manifest
index 753a3e48185..7e6b5804208 100644
--- a/dev-python/python-debian/Manifest
+++ b/dev-python/python-debian/Manifest
@@ -1 +1,2 @@
 DIST python-debian_0.1.36.tar.xz 308364 BLAKE2B 
1cc7e2844db8143a3a4cc4f59c4bbb90bb90ab024b2524335d8ab69947ffe8c64b2b41a54a5d199cd287a3d6b6a0173c75be708af9aedfeb871e354ac1873528
 SHA512 
3f2ca6d86f6b6d383a1628021a77d19b562b0c409d204dba4de6968d2cdd2c8fb4aa882429fa1ce6af5361352f7a51b339c481dd47937cb103a08132379d77c5
+DIST python-debian_0.1.37.tar.xz 308568 BLAKE2B 
7747ed21d3d6e06d5342ace6de83b79a93c76e44e8fd6d5738575e154f6d55dacd5dbb27d0210fac6f0a9db95b6d95b1fb9106da64ffbe7f77ec9d1a3e829d49
 SHA512 
0c13d6ee008bdcdfc28ac35d031a8486994a79a90d6b817349f09936c798211333604fd967bfde720fbc6b089bbec8e52b8c0977c430517e6f8c23d370fdff7c

diff --git a/dev-python/python-debian/python-debian-0.1.37.ebuild 
b/dev-python/python-debian/python-debian-0.1.37.ebuild
new file mode 100644
index 00000000000..0f352c156f2
--- /dev/null
+++ b/dev-python/python-debian/python-debian-0.1.37.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python modules to work with Debian-related data formats"
+HOMEPAGE="https://packages.debian.org/sid/python-debian";
+SRC_URI="mirror://debian/pool/main/${P:0:1}/${PN}/${PN}_${PV}.tar.xz"
+
+LICENSE="GPL-2 GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-python/chardet[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( app-arch/dpkg )
+"
+
+PATCHES=( "${FILESDIR}/0.1.36-disable-apt-pkg.patch" )
+
+python_compile_all() {
+       ${EPYTHON} lib/debian/doc-debtags > README.debtags || die
+}
+
+python_test() {
+       ${EPYTHON} -m unittest discover --verbose lib || die "Testing failed 
with ${EPYTHON}"
+}

Reply via email to